Can't install glib and gtk 1.2.1

Can't install glib and gtk 1.2.1

Post by Jimmy Tra » Tue, 30 Mar 1999 04:00:00



Please help me!!!! I tried to install GLIB and GTK 1.2.1
There was no error message when i was installing GLIB. However, when I
installed GTK, i got the error message said that it couldn't find GLIB
Quote:>= 1.2.1!!!!!!!!

So i couldn't move on w/ my GTK installation.
Please help me....
Thanks a lot.
Jimmy Tran

 
 
 

Can't install glib and gtk 1.2.1

Post by Curtis Stanfor » Tue, 30 Mar 1999 04:00:00



> Please help me!!!! I tried to install GLIB and GTK 1.2.1
> There was no error message when i was installing GLIB. However, when I
> installed GTK, i got the error message said that it couldn't find GLIB
> >= 1.2.1!!!!!!!!
> So i couldn't move on w/ my GTK installation.
> Please help me....
> Thanks a lot.
> Jimmy Tran


Do an "ldconfig" as root before compiling GTK.

 
 
 

Can't install glib and gtk 1.2.1

Post by Scot Hacke » Thu, 01 Apr 1999 04:00:00




> > Please help me!!!! I tried to install GLIB and GTK 1.2.1
> > There was no error message when i was installing GLIB. However, when I
> > installed GTK, i got the error message said that it couldn't find GLIB
> > >= 1.2.1!!!!!!!!
> > So i couldn't move on w/ my GTK installation.
> > Please help me....
> > Thanks a lot.
> > Jimmy Tran

> Do an "ldconfig" as root before compiling GTK.

I'm running into exactly the same problem. I did run ldconfig, but it
didn't help. The GTK configure expects to be able to find GLIB. But even
though GLIB compiled and installed perfectly, GTK still says it can't find
it. I also tried various --prefix options, to no avail. Any other
suggestions?

Thanks,

Scot Hacker

 
 
 

Can't install glib and gtk 1.2.1

Post by Curtis Stanfor » Thu, 01 Apr 1999 04:00:00





> > > Please help me!!!! I tried to install GLIB and GTK 1.2.1
> > > There was no error message when i was installing GLIB. However, when I
> > > installed GTK, i got the error message said that it couldn't find GLIB
> > > >= 1.2.1!!!!!!!!
> > > So i couldn't move on w/ my GTK installation.
> > > Please help me....
> > > Thanks a lot.
> > > Jimmy Tran

> > Do an "ldconfig" as root before compiling GTK.

> I'm running into exactly the same problem. I did run ldconfig, but it
> didn't help. The GTK configure expects to be able to find GLIB. But even
> though GLIB compiled and installed perfectly, GTK still says it can't find
> it. I also tried various --prefix options, to no avail. Any other
> suggestions?

> Thanks,

> Scot Hacker

Where are you installing GLIB? Is the path in /etc/ld.so.conf or do you require
LD_LIBRARY_PATH? What happens if you run glib-config --version? Do you have any
old glib libraries laying around that may be found first? Inquiring minds want
to know...

Curtis

 
 
 

Can't install glib and gtk 1.2.1

Post by Julio Cesar Machad » Fri, 02 Apr 1999 04:00:00


The problem must be with the glib-config script.
Try to set the GLIB_CONFIG env, like this:

#export GLIB-CONFIG=/usr/local/bin/glib-config

It works for me.
--
===========================================================
 Julio Cesar Machado

===========================================================

 
 
 

Can't install glib and gtk 1.2.1

Post by Julio Cesar Machad » Fri, 02 Apr 1999 04:00:00


The problem must be with the glib-config script.
Try to set the GLIB_CONFIG env, like this:

#export GLIB-CONFIG=/usr/local/bin/glib-config

It works for me.
--
===========================================================
 Julio Cesar Machado

===========================================================

 
 
 

Can't install glib and gtk 1.2.1

Post by Scott E. Regene » Fri, 02 Apr 1999 04:00:00





> > > Please help me!!!! I tried to install GLIB and GTK 1.2.1
> > > There was no error message when i was installing GLIB. However, when I
> > > installed GTK, i got the error message said that it couldn't find GLIB
> > > >= 1.2.1!!!!!!!!
> > > So i couldn't move on w/ my GTK installation.
> > > Please help me....
> > > Thanks a lot.
> > > Jimmy Tran

> > Do an "ldconfig" as root before compiling GTK.

> I'm running into exactly the same problem. I did run ldconfig, but it
> didn't help. The GTK configure expects to be able to find GLIB. But even
> though GLIB compiled and installed perfectly, GTK still says it can't find
> it. I also tried various --prefix options, to no avail. Any other
> suggestions?

After days and days of fighting GLIB and getting the same error over and
over with GTK (can't find /usr/lib/glib/config) I finally solved the
problem by just creating a directory called config.  The most
frustrating part was that a more explanatory error message (other than
"Cannot find file or directory" which led me to believe it was looking
for a file called config) would have eliminated this problem.  

Hope this helps!
Scott E. Regener